import { CancelEventArgs } from "igniteui-webcomponents-core";
import { WorksheetProtectedRange } from "igniteui-webcomponents-excel";
import { IList$1, Type } from "igniteui-webcomponents-core";
import { Worksheet } from "igniteui-webcomponents-excel";
/**
 * @hidden
 */
export declare class SpreadsheetEditRangePasswordNeededEventArgs extends CancelEventArgs {
    static $t: Type;
    private _e;
    private _f;
    private _g;
    constructor(a: IList$1<WorksheetProtectedRange>, b: IList$1<Worksheet>);
    get ranges(): WorksheetProtectedRange[];
    private _i;
    private _j;
    _getRangesArray(): WorksheetProtectedRange[];
    unprotect(): void;
}
